%global _empty_manifest_terminate_build 0
Name:		python-altgraph
Version:	0.17.3
Release:	1
Summary:	Python graph (network) package
License:	MIT
URL:		https://github.com/ronaldoussoren/altgraph
Source0:	https://files.pythonhosted.org/packages/5a/13/a7cfa43856a7b8e4894848ec8f71cd9e1ac461e51802391a3e2101c60ed6/altgraph-0.17.3.tar.gz
BuildArch:	noarch

%description
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with graphviz output.
altgraph includes some additional usage of Python 2.3+ features
and enhancements related to modulegraph and macholib.

%package -n python3-altgraph
Summary:	Python graph (network) package
Provides:	python-altgraph
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-altgraph
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with graphviz output.
altgraph includes some additional usage of Python 2.3+ features
and enhancements related to modulegraph and macholib.

%package help
Summary:	Development documents and examples for altgraph
Provides:	python3-altgraph-doc
%description help
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with graphviz output.
altgraph includes some additional usage of Python 2.3+ features
and enhancements related to modulegraph and macholib.

%prep
%autosetup -n altgraph-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-altgraph -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Oct 18 2022 guozhengxin <guozhengxin@kylinos.cn> - 0.17.3-1
- Upgrade package to version 0.17.3

* Mon Jul 06 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
